Accounts
Account Warning Create
Create an internal moderation warning for an account. Requires the `MANAGE_WARNINGS` permission.
Create an internal moderation warning for an account. Requires the
MANAGE_WARNINGS permission.
POST
/accounts/{account_id}/warningsstoryden-session<token>
In: cookie
Path Parameters
account_id*string
Account ID.
Format
xidRequest Body
application/json
reason*string
Length
1 <= length <= 2000Response Body
application/json
application/json
curl -X POST "https://loading/api/accounts/cc5lnd2s1s4652adtu50/warnings" \ -H "Content-Type: application/json" \ -d '{ "reason": "string" }'{
"id": "cc5lnd2s1s4652adtu50",
"issued_at": "2019-08-24T14:15:22Z",
"reason": "string",
"issued_by": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
}
}Empty
Empty
Empty
{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Account View GET
Get detailed account information by ID. Requires either the permissions VIEW_ACCOUNTS or ADMINISTRATOR. Users with VIEW_ACCOUNTS can view any account that is not ADMINISTRATOR including those with VIEW_ACCOUNTS. Only members with ADMINISTRATOR can view other ADMINISTRATOR accounts.
Account Warning Delete DELETE
Permanently delete a warning record. Requires the `MANAGE_WARNINGS` permission.